Subject: bug#7324: coreutils on Solaris 10

From: Jim Meyering <[email-masked]>
Date: Thu, 04 Nov 2010 16:15:18 +0100

Eric Blake wrote:

> On 11/03/2010 12:33 PM, Eric Blake wrote:
>> On 11/03/2010 11:39 AM, Eric Blake wrote:
>>> * m4/utimens.m4 (gl_UTIMENS): Include correct headers.
>>>
>>
>> I've confirmed that with this fix, the latest gnulib now passes all
>> time-setting tests except those related to symlink times.  I'm now in
>> the process of testing coreutils on the same machine to see if the fixed
>> gnulib test makes touch start working again.
>
> Yes, a self-built coreutils on that machine can once again 'touch'.  I'm
> pushing this.  Does this also deserve a NEWS entry?  I'm not quite sure
> how it would be worded; maybe:
>
>   cp, mv, and touch no longer crash when setting file times on Solaris
>   10 [latent bug since at least coreutils-5.97, exposed by recent
>   Solaris patch]

Thanks for handling that.
I think that anything that evokes a crash will always deserve a NEWS entry.

> And I don't know whether to state that the bug was introduced in 8.1
> (the point at where the gnulib utimens.m4 file was broken) or earlier
> (since we have a definitive report of 5.97 not working, but not
> intermediate versions; also recalling that utimens was moved from
> coreutils over to gnulib between 5.97 and 8.1 and has seen quite a lot
> of churn over the years).

It's ok to say we're not sure.
There's a limit to how much time we can spend on this sort of archeology.

    [a latent utimens.m4 bug introduced in 8.1 was triggered only by a
    recent Solaris 10 update; there may have been another going back as
    far as 5.97]

If you can easily find an ID for the offending Solaris 10 patch
it'd be nice to mention it here or in the commit log.